<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/HTML/Views/Source/Source.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.HTML.Views.Source.Source</title>
<link href="../../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../../Synopsis.html" >Synopsis</a>.<a href="../../../../Formatters.html" >Formatters</a>.<a href="../../../HTML.html" >HTML</a>.<a href="../../Views.html" >Views</a>.<a href="../Source.html" >Source</a>
</div><div class="class-name">class Source

</div><div class="links"><div class="file">File: <a href="../../../../../../File/Synopsis/Formatters/HTML/Views/Source.py.html" target="detail">../Synopsis/Formatters/HTML/Views/Source.py</a></div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Source.Source" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Source.py.html#line67" ><img src="../../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Source-inheritance" src="Source-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Source-inheritance_map" />
<map name="Source-inheritance_map"></map>
 <div class="doc">A module for creating a view for each file with hyperlinked source</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="external_url">external_url</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Source.py.html#line70" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="register">register</a>(<span class="variable">self</span>, <span class="variable">frame</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Source.Source.register" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Source.py.html#line72" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="filename">filename</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Source.Source.filename" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Source.py.html#line86" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="title">title</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Source.Source.title" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Source.py.html#line91" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Source.html#process" >process</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Source.Source.process" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Source.py.html#line96" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Source.html#register_filenames" >register_filenames</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Source.Source.register_filenames" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Source.py.html#line110" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Source.html#process_node" >process_node</a></span>(<span class="variable">self</span>, <span class="variable">file</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Source.Source.process_node" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Source.py.html#line122" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="lookup_symbol">lookup_symbol</a>(<span class="variable">self</span>, <span class="variable">name</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Source.Source.lookup_symbol" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Source.py.html#line146" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="external_ref">external_ref</a>(<span class="variable">self</span>, <span class="variable">name</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Source.Source.external_ref" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Source.py.html#line152" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Source.html#end_file" >end_file</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Source.Source.end_file" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Source.py.html#line156" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process">process</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Source.Source.process" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Source.py.html#line96" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Creates a view for every file</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="register_filenames">register_filenames</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Source.Source.register_filenames" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Source.py.html#line110" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Registers a view for every source file</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process_node">process_node</a>(<span class="variable">self</span>, <span class="variable">file</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Source.Source.process_node" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Source.py.html#line122" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Creates a view for the given file</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="end_file">end_file</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Source.Source.end_file" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Source.py.html#line156" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Overrides end_file to provide synopsis logo</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:10 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
